﻿#include <iostream>
#include <string>
#include <array>

using namespace std;

array<int, 6> numberPairs(string& str) {
    array<int, 6> pairs = { 0, 0, 0, 0, 0, 0 };
    int length = str.length();
    string test = "  ";
    for (int i = 0; i < length; i++) {
        test[0] = str[i];
        test[1] = str[(i + 1) % length];

        if (test == "RR") {
            pairs[0]++;
        }
        else if (test == "GG") {
            pairs[1]++;
        }
        else if (test == "BB") {
            pairs[2]++;
        }
        else if (test == "RG" || test == "GR") {
            pairs[3]++;
        }
        else if (test == "GB" || test == "BG") {
            pairs[4]++;
        }
        else if (test == "BR" || test == "RB") {
            pairs[5]++;
        }
    }
    return pairs;
}

int main()
{
    int number{ 0 };
    cin >> number;
    string* beads = new string[number];
    for (int i = 0; i < number; i++) {
        cin >> beads[i];
    }
    array<int, 6> pairs = { 0, 0, 0, 0, 0, 0 };

    for (int i = 0; i < number; i++) {
        array<int, 6> pair = numberPairs(beads[i]);
        pairs[0] += pair[0];
        pairs[1] += pair[1];
        pairs[2] += pair[2];
        pairs[3] += pair[3];
        pairs[4] += pair[4];
        pairs[5] += pair[5];
    }

    int max{ 0 };
    for (int i = 0; i < 6; i++) {
        if (pairs[i] > max) {
            max = pairs[i];
        }
    }

    if (pairs[0] == max) {
        cout << "RR" << endl;
    }
    if (pairs[1] == max) {
        cout << "GG" << endl;
    }
    if (pairs[2] == max) {
        cout << "BB" << endl;
    }
    if (pairs[3] == max) {
        cout << "RG" << endl;
    }
    if (pairs[4] == max) {
        cout << "GB" << endl;
    }
    if (pairs[5] == max) {
        cout << "BR" << endl;
    }

    delete [] beads;
}
