#include <iostream>
#include <vector>
#include <map>
#include <string>

using namespace std;

#define PAR pair<int, int>
#define x first
#define y second
#define VP vector<PAR>
#define VI vector<int>

pair<char, char> ord_pair(char a, char b) {
    if (a > b)
        return { b, a };
    return { a, b };
}

map<int, int> factor(int n) {
    if (n == 1) return map<int, int>();

    map<int, int> res;
    int d = 2;
    while (d * d <= n) {
        if (n % d == 0) {
            res = factor(n / d);
            res[d]++;
            return res;
        }
        d++;
    }
    res[n] = 1;
    return res;
}

ostream& operator<<(ostream& out, const map<int, int>& m) {
    for (auto e : m) {
        out << e.first << " -> " << e.second << ' ';
    }
    out << endl;
    return out;
}

VP pows;
vector<VI> res;
void solve(int i, int sgn, VI& ans) {
    if (i >= pows.size()) return;
    if (i == pows.size() - 1) {
        for (int j = (2 - sgn) / 2; j <= pows[i].second; j += 2) {
            for (int k = 0; k < j; ++k)
                ans.push_back(-pows[i].first);
            for (int k = j; k < pows[i].second; ++k)
                ans.push_back(pows[i].first);
            res.push_back(ans);
            for (int k = 0; k < pows[i].second; ++k)
                ans.pop_back();
        }
    }
    else {
        for (int j = 0; j <= pows[i].second; ++j) {
            for (int k = 0; k < j; ++k) {
                ans.push_back(-pows[i].first);
            }
            for (int k = j; k < pows[i].second; ++k)
                ans.push_back(pows[i].first);
            solve(i + 1, sgn * (1 - 2 * (j % 2)), ans);
            for (int k = 0; k < pows[i].second; ++k)
                ans.pop_back();
        }
    }
}


int main()
{
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;

    // cout << factor(n) << endl;

    int sgn = 1;
    if (n < 0) {
        sgn = -1;
        n = -n;
    }

    map<int, int> prime = factor(n);

    int cnt = 0;

    for (auto p : prime) {
        pows.push_back(p);
    }

    VI a;

    solve(0, sgn, a);

    for (const VI& a : res) {
        for (int p : a)
            cout << p << ' ';
        cout << '\n';
    }
    
    return 0;
}
