#include <iostream>
#include <cmath>

using namespace std;

struct romb
{
	char* field;
	int n, k, a, b;

	romb(int n, int a, int b)
	{
		this->n = n;
		this->a = a;
		this->b = b;
		k = (n - 1) / 2;
		field = new char[n * n];
	}

	void eval()
	{
		for (int y = 0; y < n; y++)
			for (int x = 0; x < n; x++)
			{
				int d = dist(x, y, k, k);

				if (d >= a && d <= b)
					put(x, y, '*');
				else
					put(x, y, '.');
			}
	}

	void draw()
	{
		for (int i = 0; i < n; i++)
		{
			for (int j = 0; j < n; j++)
				cout << field[i * n + j];
			cout << endl;
		}
	}

	int dist(int x1, int y1, int x2, int y2)
	{
		return labs(x1 - x2) + labs(y1 - y2);
	}

	void put(int x, int y, char ch)
	{
		if (field != nullptr)
			field[y * n + x] = ch;
	}
};

int main(void)
{
	int n, a, b;

	cin >> n;
	cin >> a;
	cin >> b;

	romb r(n, a, b);

	r.eval();
	r.draw();
	return 0;
}