#if 1

#define DEBUG 0

#include <iostream>
#include <vector>
#include <fstream>
#include <string>
#include <cmath>
#include <algorithm>
#include <map>

using namespace std;

#if DEBUG
int runs = 1;
ifstream input("ProblemA/in.txt");
ofstream output("ProblemA/out.txt");
#else
int runs = 1;
istream &input = std::cin;
ostream &output = std::cout;
#endif

const int INF = (int)1e9;

int main()
{
	while (runs-- > 0)
	{
		int n;
		input >> n;

		map<string, int> cnts;

		for (int i = 0; i < n; i++)
		{
			string str;

			input >> str;

			for (int j = 0; j < str.size(); j++)
			{
				int prev = (j - 1 + str.size()) % str.size();
				string bus = string(1, min(str[prev], str[j])) + string(1, max(str[prev], str[j]));

				if (cnts.find(bus) == cnts.end())
					cnts.insert({bus, 0});
				cnts[bus]++;
			}
		}

		int maxN = -INF;
		vector<string> ans;

		for (auto &item : cnts)
		{
			if (maxN < item.second)
			{
				maxN = item.second;
				ans = vector<string>();
				ans.push_back(item.first);
			}
			else if (maxN == item.second)
				ans.push_back(item.first);
		}

		for (int i = 0; i < ans.size(); i++)
			output << ans[i] << "\n";

	}
	return 0;
}

#endif
