#include <iostream>
#include <algorithm>
#include <cmath>
#include <cassert>
#include <vector>
#include <string>
#include <map>
#include <set>
#include <functional>
using namespace std;

using ll = long long;
#define all(o) (o).begin(), (o).end()
#if LOCAL
#define dbg(o) cout << #o << " = " << (o) << "\n";
#else
#define dbg(o)
#endif

template <typename T>
ostream &operator<<(ostream &out, const vector<T> &v) {
    for (const T &e : v) {
        out << e << " ";
    }
    return out;
}
template <typename T>
istream &operator>>(istream &in, vector<T> &v) {
    for (T &e : v) {
        in >> e;
    }
    return in;
}

void solve() {
    int n; cin >> n;
    vector<int> counts(n, 0);
    cin >> counts;
    ll res = 0;
    for (int i = 0; i < n; ++i) {
        int a, b; cin >> a >> b;
        if (!counts[i] || a > b) continue;
        res += b - a;
    }
    cout << res << "\n";
}

int main() {
#if LOCAL
    freopen("../input.txt", "r", stdin);
    int q; cin >> q;
    while (q--) {
        solve();
    }
#else
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    solve();
#endif
}
