#include <iostream>
#include <algorithm>
#include <cmath>
#include <cassert>
#include <vector>
#include <string>
#include <map>
#include <set>
#include <functional>
using namespace std;

using ll = long long;
#define all(o) (o).begin(), (o).end()
#if LOCAL
#define dbg(o) cout << #o << " = " << (o) << "\n";
#else
#define dbg(o)
#endif

template <typename T>
ostream &operator<<(ostream &out, const vector<T> &v) {
    for (const T &e : v) {
        out << e << " ";
    }
    return out;
}
template <typename T, typename Q>
ostream &operator<<(ostream &out, const pair<T, Q> &v) {
    out << v.first << " " << v.second << "\n";
    return out;
}
template <typename T>
istream &operator>>(istream &in, vector<T> &v) {
    for (T &e : v) {
        in >> e;
    }
    return in;
}

vector<int> factorize(int n) {
    vector<int> result;
    for (int d = 2; d * d <= n; ++d) {
        while (n % d == 0) {
            result.push_back(d);
            n /= d;
        }
    }
    if (n != 1) {
        result.push_back(n);
    }
    return result;
}

// int __builtin_popcount(int x) {
//     int k = 0;
//     for (int i = 0; i < 32; ++i) {
//         if (x & (1 << i)) {
//             k++;
//         }
//     }
//     return k;
// }

void solve() {
    int n; cin >> n;
    int req = (n < 0 ? 1 : 0);
    vector<int> factors = factorize(n);
    dbg(factors);
    for (int i = 0; i < (1 << factors.size()); ++i) {
        if (__builtin_popcount(i) % 2 == req) {
            for (int j = 0; j < factors.size(); ++j) {
                cout << factors[j] * (i & (1 << j) ? -1 : 1) << " ";
            }
            cout << "\n";
        }
    }
}

int main() {
#if LOCAL
    freopen("../input.txt", "r", stdin);
    int q; cin >> q;
    while (q--) {
        solve();
    }
#else
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    solve();
#endif
}
