import kotlin.math.absoluteValue

fun solveA() {
    val n = int()
    println("V".repeat(n / 5) + "I".repeat(n % 5))
}

fun solveB() {
    val k = int() / 2
    val a = int()
    val b = int()
    for (y in -k..k) {
        for (x in -k..k) {
            if ((x.absoluteValue + y.absoluteValue) in a..b) print('*') else print('.')
        }
        println()
    }
}

fun solveC() {
    val n = int()
    val trainings = intArr()
    var res = 0L
    for (i in 0 until n) {
        val (was, became) = intArr()
        if (trainings[i] == 1) res += maxOf(became - was, 0)
    }
    println(res)
}

fun solveD() {
    val n = int()
    val map = mutableMapOf<String, Int>()
    repeat(n) {
        val s = readLine()!!
        for (i in 0 until s.lastIndex) {
            map[s.substring(i, i + 2)] = (map[s.substring(i, i + 2)] ?: 0) + 1
        }
        map["" + s.first() + s.last()] = (map["" + s.first() + s.last()] ?: 0) + 1
    }
    map["RG"] = (map["RG"]?:0) + (map.remove("GR") ?: 0)
    map["RB"] = (map["RB"]?:0) + (map.remove("BR") ?: 0)
    map["GB"] = (map["GB"]?:0) + (map.remove("BG") ?: 0)

    val maxFreq = map.maxOf { (_, v) -> v }
    println(
        map
            .filter { (_, v) -> v == maxFreq }
            .toList()
            .joinToString("\n") { it.first }
    )
}

fun main() = solveD()

fun int() = readLine()!!.trim().toInt()
fun intArr() = readLine()!!.trim().split(" ").mapNotNull { if (it == "") null else it.toInt() }