import java.io.ByteArrayOutputStream
import java.io.PrintStream
import java.math.BigInteger
import java.util.*
import kotlin.math.absoluteValue

fun solveA() {
    val n = int()
    println("V".repeat(n / 5) + "I".repeat(n % 5))
}

fun solveB() {
    val k = int() / 2
    val a = int()
    val b = int()
    for (y in -k..k) {
        for (x in -k..k) {
            if ((x.absoluteValue + y.absoluteValue) in a..b) print('*') else print('.')
        }
        println()
    }
}

fun solveC() {
    val n = int()
    val trainings = intArr()
    var res = 0L
    for (i in 0 until n) {
        val (was, became) = intArr()
        if (trainings[i] == 1) res += maxOf(became - was, 0)
    }
    println(res)
}

fun solveD() {
    val n = int()
    val map = mutableMapOf<String, Int>()
    repeat(n) {
        val s = readLine()!!
        for (i in 0 until s.lastIndex) {
            map[s.substring(i, i + 2)] = (map[s.substring(i, i + 2)] ?: 0) + 1
        }
        map["" + s.first() + s.last()] = (map["" + s.first() + s.last()] ?: 0) + 1
    }
    map["RG"] = (map["RG"] ?: 0) + (map.remove("GR") ?: 0)
    map["RB"] = (map["RB"] ?: 0) + (map.remove("BR") ?: 0)
    map["GB"] = (map["GB"] ?: 0) + (map.remove("BG") ?: 0)

    val maxFreq = map.maxOf { (_, v) -> v }
    println(
        map
            .filter { (_, v) -> v == maxFreq }
            .toList()
            .joinToString("\n") { it.first }
    )
}

//val th32 = BigInteger.valueOf(32000)
//fun precalcPrimes() = Stream.iterate(BigInteger.TWO) { it.nextProbablePrime() }.takeWhile { it < th32 }.toList()
//    .joinToString(", ", "listOf(", ")")

val primes1000 = listOf(
    2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, 73, 79, 83, 89, 97,
    101, 103, 107, 109, 113, 127, 131, 137, 139, 149, 151, 157, 163, 167, 173, 179, 181, 191, 193, 197,
    199, 211, 223, 227, 229, 233, 239, 241, 251, 257, 263, 269, 271, 277, 281, 283, 293, 307, 311, 313, 317, 331,
    337, 347, 349, 353, 359, 367, 373, 379, 383, 389, 397, 401, 409, 419, 421, 431, 433, 439, 443, 449, 457, 461, 463,
    467, 479, 487, 491, 499, 503, 509, 521, 523, 541, 547, 557, 563, 569, 571, 577, 587, 593, 599, 601, 607, 613, 617,
    619, 631, 641, 643, 647, 653, 659, 661, 673, 677, 683, 691, 701, 709, 719, 727, 733, 739, 743, 751, 757, 761,
    769, 773, 787, 797, 809, 811, 821, 823, 827, 829, 839, 853, 857, 859, 863,
    877, 881, 883, 887, 907, 911, 919, 929, 937, 941, 947, 953, 967, 971, 977, 983, 991, 997,
)

fun toPrimes(x: Int): List<Int> {
    var num = x.absoluteValue
    val res = mutableListOf<Int>()

    var pivot = 0
    while (pivot < primes1000.size && primes1000[pivot] <= num) {
        if (num % primes1000[pivot] == 0) {
            res.add(primes1000[pivot])
            num /= primes1000[pivot]
        } else pivot++
    }

    if (num != 1) {
        var next = BigInteger.valueOf(1009)
        var num = BigInteger.valueOf(num.toLong()) //shadowing
        while (next <= num) {
            if (num % next == BigInteger.ZERO) {
                res.add(next.intValueExact())
                num /= next
            } else next = next.nextProbablePrime() // Hope will work correctly up to 10^9
        }
    }
    return res
}

//fun solveE() {
//    val n = int()
//    val primes = toPrimes(n)
//    //Now set all possible minus combinations...
//    val needRem = if (n > 0) 0 else 1
//    //1 will mark minus. Thus, countOneBits must be even if n is positive
//    val variants = mutableSetOf<List<Int>>() //Quite terrible...
//    for (mask in 0 until (1 shl primes.size)) if (mask.countOneBits() % 2 == needRem) {
//        variants.add(
//            primes.mapIndexed { index, prime ->
//                if (((mask shr index) and 1) == 1) -prime else prime
//            }.sorted()
//        )
//    }
//    println(variants.joinToString("\n") { it.joinToString(" ") })
//}


fun solveE() {
    val n = int()
    val primes = toPrimes(n)
    //Now set all possible minus combinations...
    val needRem = if (n > 0) 0 else 1
    //1 will mark minus. Thus, countOneBits must be even if n is positive
    val variants = mutableSetOf<Int>() // Still terrible
    for (mask in 0 until (1 shl primes.size)) if (mask.countOneBits() % 2 == needRem) {
        val variant =
            primes.mapIndexed { index, prime ->
                if (((mask shr index) and 1) == 1) -prime else prime
            }

        var hash = 0
        for (el in variant) hash = hash xor el // Hash... Yeap, kind of

        if (hash !in variants) {
            variants.add(hash)
            println(variant.joinToString(" "))
        }
    }
}

fun solveFOK() {
    val (n, k, m) = intArr()
    val As = intArr()
    val list = LinkedList(As.subList(0, k))
    var b = list.sorted()[m - 1]

    for (i in (k - 1) until n) {
        if (i != k - 1) {
            list.add(As[i])
            list.removeAt(0)
        }
        b = maxOf(b, list.sorted()[m - 1]) // Finally (n-k) * k * log k (hope so)
    }

    var sum = 0L
    for (el in As) {
        sum += if (el <= b) 0 else el
    }
    println(sum - b)
}

fun solveF() {
    val (n, k, m) = intArr()
    val As = intArr()
    if (m == k) return println(-As.maxOrNull()!!)
    var b = As.subList(0, k).sorted()[m - 1]

    var crossedOut = 0
    for (i in 0 until k) if (As[i] <= b) crossedOut++

    for (i in k until n) {
        if (As[i] <= b) crossedOut++
        if (As[i - k] <= b) crossedOut--
        if (crossedOut >= m) continue

        var min = Int.MAX_VALUE
        for (j in (i - k + 1)..i) if (As[j] > b) {
            min = minOf(min, As[j])
        }
        if (min != Int.MAX_VALUE) b = min

        crossedOut = 0
        for (j in (i - k + 1)..i) if (As[j] <= b) crossedOut++
    }

    var sum = 0L
    for (el in As) {
        sum += if (el <= b) 0 else el
    }
    println(sum - b)
}

/*
4 3 2
2 2 1 3
 */

fun main() = solveE()
fun test() {
    val rnd = Random()
    val n = rnd.nextInt(10) + 1
    val k = rnd.nextInt(n) + 1
    val m = rnd.nextInt(k) + 1
    val As = List(n) { rnd.nextInt(9) + 1 }
    val s = "$n $k $m\n" + As.joinToString(" ")

    val stdout = System.out

    System.setIn(s.byteInputStream())
    val outputStream = ByteArrayOutputStream()
    System.setOut(PrintStream(outputStream))
    solveFOK()
    val result1 = outputStream.toString()

    System.setIn(s.byteInputStream())
    val outputStream2 = ByteArrayOutputStream()
    System.setOut(PrintStream(outputStream2))
    solveF()
    val result2 = outputStream2.toString()

    if (result1 == result2) {
        stdout.println("OK")
        System.setOut(stdout)
        main()
    } else stdout.println("For input\n$s\nWrong answer:\n $result1 is correct, \n$result2 got")

}

fun int() = readLine()!!.trim().toInt()
fun intArr() = readLine()!!.trim().split(" ").mapNotNull { if (it == "") null else it.toInt() }